management
Management



GET
/v2/policies/{policy_id}/condition/custom-fields
Get custom fields policy conditions


Get all custom fields policy conditions for specified policy

Parameters
Try it out
NameDescription
policy_id *
integer($int32)
(path)
policy_id
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
[
  {
    "id": "string",
    "conditionName": "string",
    "displayName": "string",
    "enabled": true,
    "severity": "NONE",
    "priority": "NONE",
    "channels": [
      0
    ],
    "scripts": [
      {
        "scriptId": 0,
        "runAs": "SYSTEM",
        "scriptParam": "string",
        "scriptVariables": [
          {
            "id": "string",
            "value": "string"
          }
        ]
      }
    ],
    "notificationAction": "NONE",
    "notifyOnReset": true,
    "resetThreshold": 0,
    "inheritance": {
      "inherited": true,
      "overridden": true,
      "sourcePolicyId": 0
    },
    "matchAll": [
      {
        "fieldName": "string",
        "operator": "EQUALS",
        "value": "string"
      }
    ],
    "matchAny": [
      {
        "fieldName": "string",
        "operator": "EQUALS",
        "value": "string"
      }
    ]
  }
]
No links

POST
/v2/policies/{policy_id}/condition/custom-fields
Create custom fields policy condition


Creates custom fields policy condition for specified policy

Parameters
Try it out
NameDescription
policy_id *
integer($int32)
(path)
policy_id
Request body

application/json
Example Value
Schema
{
  "enabled": true,
  "displayName": "string",
  "severity": "NONE",
  "priority": "NONE",
  "channels": [
    0
  ],
  "scripts": [
    {
      "scriptId": 0,
      "runAs": "SYSTEM",
      "scriptParam": "string",
      "scriptVariables": [
        {
          "id": "string",
          "value": "string"
        }
      ]
    }
  ],
  "notificationAction": "NONE",
  "notifyOnReset": false,
  "resetThreshold": 14400,
  "matchAll": [
    {
      "fieldName": "string",
      "operator": "EQUALS",
      "value": "string"
    }
  ],
  "matchAny": [
    {
      "fieldName": "string",
      "operator": "EQUALS",
      "value": "string"
    }
  ]
}
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "id": "string",
  "conditionName": "string",
  "displayName": "string",
  "enabled": true,
  "severity": "NONE",
  "priority": "NONE",
  "channels": [
    0
  ],
  "scripts": [
    {
      "scriptId": 0,
      "runAs": "SYSTEM",
      "scriptParam": "string",
      "scriptVariables": [
        {
          "id": "string",
          "value": "string"
        }
      ]
    }
  ],
  "notificationAction": "NONE",
  "notifyOnReset": true,
  "resetThreshold": 0,
  "inheritance": {
    "inherited": true,
    "overridden": true,
    "sourcePolicyId": 0
  },
  "matchAll": [
    {
      "fieldName": "string",
      "operator": "EQUALS",
      "value": "string"
    }
  ],
  "matchAny": [
    {
      "fieldName": "string",
      "operator": "EQUALS",
      "value": "string"
    }
  ]
}
No links

GET
/v2/policies/{policy_id}/condition/windows-event
Get windows event conditions


Get all windows event conditions for specified policy

Parameters
Try it out
NameDescription
policy_id *
integer($int32)
(path)
policy_id
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
[
  {
    "id": "string",
    "conditionName": "string",
    "displayName": "string",
    "enabled": true,
    "severity": "NONE",
    "priority": "NONE",
    "channels": [
      0
    ],
    "scripts": [
      {
        "scriptId": 0,
        "runAs": "SYSTEM",
        "scriptParam": "string",
        "scriptVariables": [
          {
            "id": "string",
            "value": "string"
          }
        ]
      }
    ],
    "notificationAction": "NONE",
    "notifyOnReset": true,
    "resetThreshold": 0,
    "inheritance": {
      "inherited": true,
      "overridden": true,
      "sourcePolicyId": 0
    },
    "source": "string",
    "eventIds": [
      0
    ],
    "text": {
      "values": [
        "string"
      ],
      "condition": "CONTAINS",
      "include": "ALL"
    },
    "occurrence": {
      "enabled": false,
      "threshold": 2,
      "duration": 5
    }
  }
]
No links

POST
/v2/policies/{policy_id}/condition/windows-event
Create windows event condition


Creates windows event condition for specified policy

Parameters
Try it out
NameDescription
policy_id *
integer($int32)
(path)
policy_id
Request body

application/json
Example Value
Schema
{
  "enabled": true,
  "displayName": "string",
  "severity": "NONE",
  "priority": "NONE",
  "channels": [
    0
  ],
  "scripts": [
    {
      "scriptId": 0,
      "runAs": "SYSTEM",
      "scriptParam": "string",
      "scriptVariables": [
        {
          "id": "string",
          "value": "string"
        }
      ]
    }
  ],
  "notificationAction": "NONE",
  "notifyOnReset": false,
  "resetThreshold": 14400,
  "source": "string",
  "eventIds": [
    0
  ],
  "text": {
    "values": [
      "string"
    ],
    "condition": "CONTAINS",
    "include": "ALL"
  },
  "occurrence": {
    "enabled": false,
    "threshold": 2,
    "duration": 5
  }
}
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "id": "string",
  "conditionName": "string",
  "displayName": "string",
  "enabled": true,
  "severity": "NONE",
  "priority": "NONE",
  "channels": [
    0
  ],
  "scripts": [
    {
      "scriptId": 0,
      "runAs": "SYSTEM",
      "scriptParam": "string",
      "scriptVariables": [
        {
          "id": "string",
          "value": "string"
        }
      ]
    }
  ],
  "notificationAction": "NONE",
  "notifyOnReset": true,
  "resetThreshold": 0,
  "inheritance": {
    "inherited": true,
    "overridden": true,
    "sourcePolicyId": 0
  },
  "source": "string",
  "eventIds": [
    0
  ],
  "text": {
    "values": [
      "string"
    ],
    "condition": "CONTAINS",
    "include": "ALL"
  },
  "occurrence": {
    "enabled": false,
    "threshold": 2,
    "duration": 5
  }
}
No links

DELETE
/v2/policies/{policy_id}/condition/{condition_id}
Delete policy condition


Deletes specified policy condition from specified agent policy

Parameters
Try it out
NameDescription
policy_id *
integer($int32)
(path)
policy_id
condition_id *
string($uuid)
(path)
condition_id
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

GET
/v2/policies/{policy_id}/condition/custom-fields/{condition_id}
Get custom fields policy condition


Get specified custom fields condition for specified policy

Parameters
Try it out
NameDescription
policy_id *
integer($int32)
(path)
policy_id
condition_id *
string($uuid)
(path)
condition_id
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "id": "string",
  "conditionName": "string",
  "displayName": "string",
  "enabled": true,
  "severity": "NONE",
  "priority": "NONE",
  "channels": [
    0
  ],
  "scripts": [
    {
      "scriptId": 0,
      "runAs": "SYSTEM",
      "scriptParam": "string",
      "scriptVariables": [
        {
          "id": "string",
          "value": "string"
        }
      ]
    }
  ],
  "notificationAction": "NONE",
  "notifyOnReset": true,
  "resetThreshold": 0,
  "inheritance": {
    "inherited": true,
    "overridden": true,
    "sourcePolicyId": 0
  },
  "matchAll": [
    {
      "fieldName": "string",
      "operator": "EQUALS",
      "value": "string"
    }
  ],
  "matchAny": [
    {
      "fieldName": "string",
      "operator": "EQUALS",
      "value": "string"
    }
  ]
}
No links

GET
/v2/policies/{policy_id}/condition/windows-event/{condition_id}
Get windows event condition


Get specified windows event condition for specified policy

Parameters
Try it out
NameDescription
policy_id *
integer($int32)
(path)
policy_id
condition_id *
string($uuid)
(path)
condition_id
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "id": "string",
  "conditionName": "string",
  "displayName": "string",
  "enabled": true,
  "severity": "NONE",
  "priority": "NONE",
  "channels": [
    0
  ],
  "scripts": [
    {
      "scriptId": 0,
      "runAs": "SYSTEM",
      "scriptParam": "string",
      "scriptVariables": [
        {
          "id": "string",
          "value": "string"
        }
      ]
    }
  ],
  "notificationAction": "NONE",
  "notifyOnReset": true,
  "resetThreshold": 0,
  "inheritance": {
    "inherited": true,
    "overridden": true,
    "sourcePolicyId": 0
  },
  "source": "string",
  "eventIds": [
    0
  ],
  "text": {
    "values": [
      "string"
    ],
    "condition": "CONTAINS",
    "include": "ALL"
  },
  "occurrence": {
    "enabled": false,
    "threshold": 2,
    "duration": 5
  }
}
No links

POST
/v2/organizations
Create new organization


Creates new organization with optional list of locations and policy mappings. Template organization ID can be specified to copy various settings

Parameters
Try it out
NameDescription
templateOrganizationId
integer($int32)
(query)
templateOrganizationId
Request body

application/json
Example Value
Schema
{
  "name": "string",
  "description": "string",
  "userData": {
    "additionalProp1": {}
  },
  "nodeApprovalMode": "AUTOMATIC",
  "tags": [
    "string"
  ],
  "fields": {
    "additionalProp1": {},
    "additionalProp2": {},
    "additionalProp3": {}
  },
  "locations": [
    {
      "name": "string",
      "address": "string",
      "description": "string",
      "userData": {
        "additionalProp1": {}
      },
      "tags": [
        "string"
      ],
      "fields": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      }
    }
  ],
  "policies": [
    {
      "nodeRoleId": 0,
      "policyId": 0
    }
  ]
}
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "name": "string",
  "description": "string",
  "userData": {
    "additionalProp1": {}
  },
  "nodeApprovalMode": "AUTOMATIC",
  "tags": [
    "string"
  ],
  "fields": {
    "additionalProp1": {},
    "additionalProp2": {},
    "additionalProp3": {}
  },
  "id": 0,
  "locations": [
    {
      "name": "string",
      "address": "string",
      "description": "string",
      "userData": {
        "additionalProp1": {}
      },
      "tags": [
        "string"
      ],
      "fields": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "id": 0
    }
  ],
  "policies": [
    {
      "nodeRoleId": 0,
      "policyId": 0
    }
  ],
  "settings": {
    "trayicon": {
      "product": "string",
      "enabled": true,
      "targets": [
        "string"
      ],
      "options": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      }
    },
    "splashtop": {
      "product": "string",
      "enabled": true,
      "targets": [
        "string"
      ],
      "options": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      }
    },
    "teamviewer": {
      "product": "string",
      "enabled": true,
      "targets": [
        "string"
      ],
      "options": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      }
    },
    "backup": {
      "product": "string",
      "enabled": true,
      "targets": [
        "string"
      ],
      "options": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      }
    },
    "psa": {
      "product": "string",
      "enabled": true,
      "targets": [
        "string"
      ],
      "options": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      }
    }
  }
}
No links

POST
/v2/devices/approval/{mode}
Approve/Reject devices


Approve or reject devices that are waiting for approval

Parameters
Try it out
NameDescription
mode *
string
(path)
Available values : APPROVE, REJECT


APPROVE
Request body

application/json
Example Value
Schema
{
  "devices": [
    0
  ]
}
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

DELETE
/v2/alert/{uid}
Reset alert/condition


Resets alert/condition by UID

Parameters
Try it out
NameDescription
uid *
string($uuid)
(path)
uid
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

POST
/v2/alert/{uid}/reset
Reset alert/condition and provide custom data for activity


Resets alert/condition by UID

Parameters
Try it out
NameDescription
uid *
string($uuid)
(path)
uid
Request body

application/json
Example Value
Schema
{}
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

PUT
/v2/device/{id}/maintenance
Schedule maintenance


Schedule maintenance window for device

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
Request body

application/json
Example Value
Schema
{
  "disabledFeatures": [
    "ALERTS"
  ],
  "start": 0,
  "end": 0
}
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

DELETE
/v2/device/{id}/maintenance
Cancel maintenance


Cancel pending or active maintenance for device

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
No links

POST
/v2/device/{id}/windows-service/{serviceId}/control
Windows service control


Start/Stop/Restart Windows Service on a device

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
serviceId *
string
(path)
Service identifier

serviceId
Request body

application/json
Example Value
Schema
{
  "action": "START"
}
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

PATCH
/v2/device/{id}
Update device information


Change device friendly name, user data, etc.

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
Request body

application/json
Example Value
Schema
{
  "displayName": "string",
  "userData": {
    "additionalProp1": {}
  },
  "nodeRoleId": 0,
  "policyId": 0,
  "organizationId": 0,
  "locationId": 0,
  "warranty": {
    "startDate": 0,
    "endDate": 0,
    "manufacturerFulfillmentDate": 0
  }
}
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

GET
/v2/device/{id}/dashboard-url
Device link


Returns link to device

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
redirect
boolean
(query)
Return redirect response


--
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "url": "string",
  "expires": 0
}
No links

DELETE
/v2/device/{id}/policy/overrides
Reset device policy overrides


Submit request to remove device policy overrides

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
No links

POST
/v2/device/{id}/reboot/{mode}
Reboot device


Sends a command to restart the computer

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
mode *
string
(path)
Reboot mode

Available values : NORMAL, FORCED


NORMAL
Request body

application/json
Example Value
Schema
{
  "reason": "string"
}
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

DELETE
/v2/device/{id}/owner
Remove device owner


Removes the owner of the device.

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

GET
/v2/device/{id}/scripting/options
Device scripting options


Returns scripting options (built-in actions, custom scripts) available for device

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
lang
string
(query)
Language

lang
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "categories": [
    {
      "id": 0,
      "name": "string",
      "internal": true
    }
  ],
  "scripts": [
    {
      "type": "ACTION",
      "id": 0,
      "uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "name": "string",
      "language": "string",
      "description": "string",
      "architecture": [
        "string"
      ],
      "categoryId": 0
    }
  ],
  "credentials": {
    "roles": [
      "string"
    ],
    "credentials": [
      {
        "id": 0,
        "name": "string",
        "type": "SNMPV12C"
      }
    ]
  }
}
No links

POST
/v2/device/{id}/script/run
Run script or built-in action


Run script or built-in action on a device

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
Request body

application/json
Example Value
Schema
{
  "type": "ACTION",
  "id": 0,
  "uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "parameters": "string",
  "runAs": "string"
}
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

POST
/v2/device/{id}/owner/{ownerUid}
Set device owner


Sets the owner of the device.

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
ownerUid *
string($uuid)
(path)
Device owner identifier

ownerUid
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

POST
/v2/device/{id}/windows-service/{serviceId}/configure
Modify Windows Service configuration


Configures Windows Service startup settings

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
serviceId *
string
(path)
Service identifier

serviceId
Request body

application/json
Example Value
Schema
{
  "startType": "AUTO_START",
  "userName": "string"
}
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

POST
/v2/device/{id}/patch/os/apply
Run OS patch apply


Submit a job to start a device OS patch apply

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
Responses
CodeDescriptionLinks
204
No Content

No links
400
Device is not applicable for os apply.

No links

POST
/v2/device/{id}/patch/os/scan
Run OS patch scan


Submit a job to start a device OS patch scan

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
Responses
CodeDescriptionLinks
204
No Content

No links
400
Device is not applicable for os scan.

No links

POST
/v2/device/{id}/patch/software/apply
Run Software patch apply


Submit a job to start a device software patch apply

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
Responses
CodeDescriptionLinks
204
No Content

No links
400
Device is not applicable for software apply.

No links

POST
/v2/device/{id}/patch/software/scan
Run Software patch scan


Submit a job to start a device software patch scan

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Device identifier

id
Responses
CodeDescriptionLinks
204
No Content

No links
400
Device is not applicable for software scan.

No links

POST
/v2/organization/{id}/locations
Add new location to organization


Creates new location for organization

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
id
Request body

application/json
Example Value
Schema
{
  "name": "string",
  "address": "string",
  "description": "string",
  "userData": {
    "additionalProp1": {}
  },
  "tags": [
    "string"
  ],
  "fields": {
    "additionalProp1": {},
    "additionalProp2": {},
    "additionalProp3": {}
  }
}
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "name": "string",
  "address": "string",
  "description": "string",
  "userData": {
    "additionalProp1": {}
  },
  "tags": [
    "string"
  ],
  "fields": {
    "additionalProp1": {},
    "additionalProp2": {},
    "additionalProp3": {}
  },
  "id": 0
}
No links

POST
/v2/organization/generate-installer
Generate installer


Generates and returns URL for installer with specified settings

Parameters
Try it out
No parameters

Request body

application/json
Examples: 
example with nodeRole param auto
Example Value
Schema
{
  "organizationId": 1,
  "locationId": 1,
  "installerType": "WINDOWS_MSI",
  "content": {
    "nodeRoleId": "auto"
  }
}
Example Description
example with nodeRole param auto


Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "url": "string"
}
No links

GET
/v2/organization/{id}/location/{location_id}/installer/{installer_type}
Generate installer


Generates and returns URL for installer for specified organization/location

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
id
location_id *
integer($int32)
(path)
location_id
installer_type *
string
(path)
Available values : WINDOWS_MSI, MAC_DMG, MAC_PKG, LINUX_DEB, LINUX_RPM, LINUX_ARM64_DEB, LINUX_ARMV7A_DEB, LINUX_ARM64_RPM, LINUX_ARMV7A_RPM


WINDOWS_MSI
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "url": "string"
}
No links

PATCH
/v2/organization/{id}
Update organization


Change organization name, description and policy mappings

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
Organization identifier

id
Request body

application/json
Example Value
Schema
{
  "name": "string",
  "description": "string",
  "userData": {
    "additionalProp1": {}
  },
  "nodeApprovalMode": "AUTOMATIC",
  "tags": [
    "string"
  ],
  "fields": {
    "additionalProp1": {},
    "additionalProp2": {},
    "additionalProp3": {}
  }
}
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
No links

PATCH
/v2/organization/{id}/locations/{locationId}
Update location


Change location name, address, description, custom data

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
id
locationId *
integer($int32)
(path)
locationId
Request body

application/json
Example Value
Schema
{
  "name": "string",
  "address": "string",
  "description": "string",
  "userData": {
    "additionalProp1": {}
  },
  "tags": [
    "string"
  ],
  "fields": {
    "additionalProp1": {},
    "additionalProp2": {},
    "additionalProp3": {}
  }
}
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "name": "string",
  "address": "string",
  "description": "string",
  "userData": {
    "additionalProp1": {}
  },
  "tags": [
    "string"
  ],
  "fields": {
    "additionalProp1": {},
    "additionalProp2": {},
    "additionalProp3": {}
  },
  "id": 0
}
No links

PUT
/v2/organization/{id}/policies
Change organization policy mappings


Update policy assignment for node role(s). Returns list of affected device IDs

Parameters
Try it out
NameDescription
id *
integer($int32)
(path)
id
Request body

application/json
Example Value
Schema
[
  {
    "nodeRoleId": 0,
    "policyId": 0
  }
]
Responses
CodeDescriptionLinks
default
default response

Media type

*/*
Controls Accept header.
Example Value
Schema
[
  0
]
No links

POST
/v2/policies
Creates new Policy


Creates new policy using (New Root, Child, Copy)

Parameters
Try it out
NameDescription
mode
string
(query)
Policy creation mode

Available values : NEW, CHILD, COPY


--
templatePolicyId
integer($int32)
(query)
Template Policy identifier

templatePolicyId
Request body

application/json
Example Value
Schema
{
  "parentPolicyId": 0,
  "name": "string",
  "description": "string",
  "nodeClass": "WINDOWS_SERVER",
  "enabled": true
}
Responses
CodeDescriptionLinks
default
default response

Media type

application/json
Controls Accept header.
Example Value
Schema
{
  "id": 0,
  "parentPolicyId": 0,
  "name": "string",
  "description": "string",
  "nodeClass": "WINDOWS_SERVER",
  "updated": 0,
  "nodeClassDefault": true,
  "tags": [
    "string"
  ],
  "fields": {
    "additionalProp1": {},
    "additionalProp2": {},
    "additionalProp3": {}
  }
}
No links
Custom Fields
Custom Fields

GET
/v2/custom-fields/entity-type/{entityType}/{entityId}/signed-urls
Get custom field signed urls

Get custom field signed urls

Parameters
Try it out
NameDescription
entityType *
string
(path)
Available values : NODE, LOCATION, ORGANIZATION


NODE
entityId *
integer($int32)
(path)
entityId
Responses
CodeDescriptionLinks
200
Returns a map of content ids and their corresponding signed urls

Media type

application/json
Controls Accept header.
Example Value
Schema
"string"
No links

Organization Checklists
Organization Checklists

POST
/v2/organization/archive
Archive organization checklists

Archive multiple organization checklists

POST
/v2/organization/checklists
Create organization checklists

GET
/v2/organization/checklists
List client checklists

PUT
/v2/organization/checklists
Update organization checklists

POST
/v2/organization/{organizationId}/checklists-from-templates
Create organization checklists from templates

GET
/v2/organization/checklist/{checklistId}
Get client checklist

DELETE
/v2/organization/checklist/{checklistId}
Delete an organization checklist

POST
/v2/organization/checklists/delete
Delete organization checklists

GET
/v2/organization/checklist/{checklistId}/signed-urls
Get organization checklist signed urls

POST
/v2/organization/checklists/promote-with-name
Promote organization checklists

POST
/v2/organization/checklists/promote
Promote organization checklists

POST
/v2/organization/restore
Restore organization checklists

Vulnerability Management
Vulnerability Management

GET
/v2/vulnerability/scan-groups
Fetch all Scan Groups

GET
/v2/vulnerability/scan-groups/{scan-group-id}
Fetch Scan Group

POST
/v2/vulnerability/scan-groups/{scan-group-id}/upload
Upload CSV

Asset Tags
Asset Tags

POST
/v2/tag/{assetType}
Batch tag assets

GET
/v2/tag
Get Asset Tags

POST
/v2/tag
Create an Asset Tag

PUT
/v2/tag/{tagId}
Update an Asset Tag

DELETE
/v2/tag/{tagId}
Delete an Asset Tag

POST
/v2/tag/delete
Delete several Asset Tags

POST
/v2/tag/merge
Merge existing tags

PUT
/v2/tag/{assetType}/{assetId}

Set the tags for an asset to exactly the supplied values
